@charset "UTF-8";
/* roboto-regular - latin-ext_latin_cyrillic-ext_cyrillic */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/roboto-v30.eot");
  /* IE9 Compat Modes */
  src: local(""), url("../fonts/roboto-v30.eot?#iefix") format("embedded-opentype"), url("../fonts/roboto-v30.woff2") format("woff2"), url("../fonts/roboto-v30.woff") format("woff"), url("../fonts/roboto-v30.ttf") format("truetype"), url("../fonts/roboto-v30.svg#Roboto") format("svg");
  /* Legacy iOS */
}

.container-fluid {
  max-width: 940px;
  /* or 950px */
}

@media (max-width: 767px) {
  .container-fluid {
    padding-right: 10px;
    padding-left: 10px;
  }
}

.navbar-light .navbar-toggler {
  border-color: transparent !important;
}

.messages_block .alert {
  margin-top: 1em;
}

main {
  box-sizing: border-box;
  border-bottom: 1px solid transparent;
}

.corner-ribbon {
  /* общие стили для лент */
  user-select: none;
  pointer-events: none;
  opacity: .7;
  width: 200px;
  background: #e43;
  position: absolute;
  z-index: 1031;
  top: 25px;
  left: -50px;
  text-align: center;
  line-height: 50px;
  letter-spacing: 1px;
  color: #f0f0f0;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  /* фиксируем ленточки */
  /* легкая тень */
  /* позиции лент */
  /* выбор цвета лент */
}

.corner-ribbon.sticky {
  position: fixed;
}

.corner-ribbon.shadow {
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
}

.corner-ribbon.top-left {
  /* верхний угол слева */
  top: 25px;
  left: -50px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
}

.corner-ribbon.top-right {
  /* верхний угол справа */
  top: 25px;
  right: -50px;
  left: auto;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}

.corner-ribbon.bottom-left {
  /* нижний угол слева */
  top: auto;
  bottom: 25px;
  left: -50px;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}

.corner-ribbon.bottom-right {
  /* нижний угол справа */
  top: auto;
  right: -50px;
  bottom: 25px;
  left: auto;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
}

.corner-ribbon.white {
  background: #f0f0f0;
  color: #555;
}

.corner-ribbon.black {
  background: #333;
}

.corner-ribbon.grey {
  background: #999;
}

.corner-ribbon.blue {
  background: #39d;
}

.corner-ribbon.green {
  background: #2c7;
}

.corner-ribbon.turquoise {
  background: #1b9;
}

.corner-ribbon.purple {
  background: #95b;
}

.corner-ribbon.red {
  background: #e43;
}

.corner-ribbon.orange {
  background: #e82;
}

.corner-ribbon.yellow {
  background: #ec0;
}

.recipe-body {
  border-bottom: 1px solid #eee;
}

.breadcrumb {
  background-color: transparent;
}

img {
  box-shadow: 0 1px 3px rgba(34, 25, 25, 0.4);
}

.photoswipe-image {
  cursor: zoom-in;
}

.block-carousel,
.block-media {
  word-spacing: 0;
  text-align: center;
}

.block-picture {
  margin-right: 5px;
  margin-bottom: 5px;
  display: inline-block;
}

.block-todo {
  color: #999;
  padding: 5px 15px;
  margin: 1em 0;
  background-color: #fdf7ec;
  border: 1px solid #e39c20;
}

.error-with-image-container {
  position: relative;
}

.error-with-image-container h1 {
  position: absolute;
  top: 0;
  margin: 10px 0 0 -4px;
  padding: 3px 8px;
  color: #666;
  background-color: rgba(255, 255, 255, 0.4);
  border-radius: 3px;
}

#page_content h1 {
  margin-top: 1rem;
}

#login_signup {
  padding: 10px;
  background-color: #f8f8f8;
}

#login_signup .tab-content {
  border: solid #dee2e6;
  border-width: 0 1px 1px 1px;
  background-color: white;
  padding: 10px;
}

.shariff {
  clear: both;
  margin: 6px auto;
  display: flex;
  justify-content: center;
}

.shariff ul {
  display: flex;
  flex-flow: row wrap;
  flex-direction: row;
  padding: 0 !important;
  margin: 0 !important;
}

.shariff ul li {
  height: 35px;
  box-sizing: border-box;
  list-style: none !important;
  overflow: hidden !important;
  margin: 5px !important;
  padding: 0 !important;
  text-indent: 0 !important;
  border-left: 0 none !important;
}

.shariff a {
  position: relative;
  display: block !important;
  height: 35px;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  border: 0;
  text-decoration: none;
  background-image: none !important;
  text-align: left;
  box-shadow: none;
  cursor: pointer;
}

.shariff a:hover {
  color: #fff;
  background-color: inherit !important;
  text-decoration: none !important;
}

.shariff a:visited {
  color: inherit;
}

.shariff .shariff-count {
  position: absolute;
  height: 33px;
  top: 0;
  right: 0;
  margin: 1px;
  padding: 0 8px;
  background-color: rgba(255, 255, 255, 0.5);
}

.shariff .shariff-count,
.shariff .shariff-text {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 12px;
  line-height: 36px;
  vertical-align: top;
}

.shariff .shariff-text {
  padding-left: 3px;
}

.shariff .shariff-icon svg {
  width: 32px;
  height: 20px;
  padding: 7px 1px;
  box-sizing: content-box !important;
}

.shariff .shariff-button::before {
  content: none !important;
}

.shariff .shariff-buttons .shariff-text-white {
  color: #fff;
}

.shariff .shariff-buttons .shariff-hidezero {
  opacity: 0;
}

.shariff .shariff-buttons.theme-round li {
  width: 35px !important;
  height: 35px;
  border-radius: 50%;
  margin: 5px;
}

.shariff .theme-round a {
  position: relative;
  height: 35px;
  border-radius: 50%;
}

.shariff .theme-round .shariff-icon svg {
  display: block;
  margin: auto;
  padding: 8px 1px;
}

.shariff .theme-round .shariff-icon svg path {
  fill: #fff;
}

.shariff .theme-round .shariff-text {
  display: block;
}

.shariff .theme-round .shariff-count {
  display: inline;
  padding: 0;
  right: 0;
  left: 0;
  top: 0;
  background-color: transparent;
  color: transparent !important;
  text-align: center;
}

.shariff .theme-round .shariff-count:hover {
  background-color: inherit !important;
  color: #fff !important;
}

.snippet-column-list ul {
  margin-left: 20px;
  -webkit-column-count: 3;
  -moz-column-count: 3;
  column-count: 3;
  -webkit-column-width: 200px;
  -moz-column-width: 200px;
  column-width: 200px;
}

.snippet-mptt-2-list ul.level-nr-2 {
  margin-bottom: 15px;
}

.snippet-mptt-2-list ul.level-nr-2 > li {
  display: inline-block;
}

.snippet-mptt-2-list ul.level-nr-2 > li:not(:last-child) {
  margin-right: 0.5rem;
}

.snippet-mptt-2-list ul.level-nr-1 > li > a {
  font-size: 133%;
}

.human-readable-date::before {
  padding-right: 5px;
  background-color: #f8f9fa;
  position: absolute;
  display: none;
  content: attr(data-title);
  color: #333;
}

.human-readable-date:hover {
  color: transparent;
}

.human-readable-date:hover::before {
  visibility: visible;
  display: inline-block;
}
